<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>PropertiesBuilderProperties (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PropertiesBuilderProperties (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PropertiesBuilderProperties.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/builder/PropertiesBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/builder/ReloadingDetectorFactory.html" title="interface in org.apache.commons.configuration2.builder"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/builder/PropertiesBuilderProperties.html" target="_top">Frames</a></li>
<li><a href="PropertiesBuilderProperties.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.builder</div>
<h2 title="Interface PropertiesBuilderProperties" class="title">Interface PropertiesBuilderProperties&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - the type of the result of all set methods for method chaining</dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/builder/fluent/PropertiesBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">PropertiesBuilderParameters</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/builder/PropertiesBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">PropertiesBuilderParametersImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">PropertiesBuilderProperties&lt;T&gt;</span></pre>
<div class="block"><p>
 Definition of a parameters interface for properties configurations.
 </p>
 <p>
 This interface defines additional properties which can be set when
 initializing a <code>PropertiesConfiguration</code> object.
 </p>
 <p>
 <strong>Important note:</strong> This interface is not intended to be
 implemented by client code! It defines a set of available properties and may
 be extended even in minor releases.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: PropertiesBuilderProperties.java 1624757 2014-09-13 15:47:43Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/PropertiesBuilderProperties.html" title="type parameter in PropertiesBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/PropertiesBuilderProperties.html#setIncludesAllowed-boolean-">setIncludesAllowed</a></span>(boolean&nbsp;f)</code>
<div class="block">Sets a flag whether include files are supported by the properties
 configuration object.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/PropertiesBuilderProperties.html" title="type parameter in PropertiesBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/PropertiesBuilderProperties.html#setIOFactory-org.apache.commons.configuration2.PropertiesConfiguration.IOFactory-">setIOFactory</a></span>(<a href="../../../../../org/apache/commons/configuration2/PropertiesConfiguration.IOFactory.html" title="interface in org.apache.commons.configuration2">PropertiesConfiguration.IOFactory</a>&nbsp;factory)</code>
<div class="block">Sets the <code>IOFactory</code> to be used by the properties configuration
 object.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/PropertiesBuilderProperties.html" title="type parameter in PropertiesBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/PropertiesBuilderProperties.html#setLayout-org.apache.commons.configuration2.PropertiesConfigurationLayout-">setLayout</a></span>(<a href="../../../../../org/apache/commons/configuration2/PropertiesConfigurationLayout.html" title="class in org.apache.commons.configuration2">PropertiesConfigurationLayout</a>&nbsp;layout)</code>
<div class="block">Sets the layout object for the properties configuration object.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setIncludesAllowed-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIncludesAllowed</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/PropertiesBuilderProperties.html" title="type parameter in PropertiesBuilderProperties">T</a>&nbsp;setIncludesAllowed(boolean&nbsp;f)</pre>
<div class="block">Sets a flag whether include files are supported by the properties
 configuration object. If set to <b>true</b>, files listed by an include
 property are loaded automatically.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>f</code> - the value of the flag</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setLayout-org.apache.commons.configuration2.PropertiesConfigurationLayout-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLayout</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/PropertiesBuilderProperties.html" title="type parameter in PropertiesBuilderProperties">T</a>&nbsp;setLayout(<a href="../../../../../org/apache/commons/configuration2/PropertiesConfigurationLayout.html" title="class in org.apache.commons.configuration2">PropertiesConfigurationLayout</a>&nbsp;layout)</pre>
<div class="block">Sets the layout object for the properties configuration object. With this
 method a custom layout object can be set. If no layout is provided, the
 configuration will use a default layout.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>layout</code> - the <code>PropertiesConfigurationLayout</code> object to be used
        by the configuration</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setIOFactory-org.apache.commons.configuration2.PropertiesConfiguration.IOFactory-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setIOFactory</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/PropertiesBuilderProperties.html" title="type parameter in PropertiesBuilderProperties">T</a>&nbsp;setIOFactory(<a href="../../../../../org/apache/commons/configuration2/PropertiesConfiguration.IOFactory.html" title="interface in org.apache.commons.configuration2">PropertiesConfiguration.IOFactory</a>&nbsp;factory)</pre>
<div class="block">Sets the <code>IOFactory</code> to be used by the properties configuration
 object. With this method a custom factory for input and output streams
 can be set. This allows customizing the format of properties read or
 written by the configuration. If no <code>IOFactory</code> is provided, the
 configuration uses a default one.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>factory</code> - the <code>IOFactory</code> to be used by the configuration</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PropertiesBuilderProperties.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/builder/PropertiesBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/builder/ReloadingDetectorFactory.html" title="interface in org.apache.commons.configuration2.builder"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/builder/PropertiesBuilderProperties.html" target="_top">Frames</a></li>
<li><a href="PropertiesBuilderProperties.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
